SweeperServiceImpl (gCube Resource Sweeper Widget 0.1.0-SNAPSHOT API)
Date: 2012-12-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcesweeper.server
Class SweeperServiceImpl

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
                  com.google.gwt.user.server.rpc.RemoteServiceServlet
                      org.gcube.portlets.admin.resourcesweeper.server.SweeperServiceImpl

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, SweeperService

    public class SweeperServiceImpl

extends com.google.gwt.user.server.rpc.RemoteServiceServlet
implements SweeperService

The server side implementation of the RPC service.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
`perThreadRequest, perThreadResponse`

Constructor Summary
`SweeperServiceImpl()`

Method Summary
`void` | `applySweep(String scope, List<com.extjs.gxt.ui.client.data.ModelData> elems)`
`List<String>` | `getSweepElems(String scope, SweeperActions action)`
`static String` | `XML2HTML(String xml, String xslt)`

Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet
`checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
`doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SweeperServiceImpl

    public SweeperServiceImpl()

Method Detail

### getSweepElems

    public List<String> getSweepElems(String scope,
                                      SweeperActions action)

  Specified by:
    `getSweepElems` in interface `SweeperService`

### applySweep

    public void applySweep(String scope,
                           List<com.extjs.gxt.ui.client.data.ModelData> elems)

  Specified by:
    `applySweep` in interface `SweeperService`

### XML2HTML

    public static String XML2HTML(String xml,
                                  String xslt)
                           throws Exception

  Parameters:
    `xml` -
    `xslt` -
  Returns:
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.